net.minecraft.client.renderer.entity

## Class RenderManager

- java.lang.Object
- - net.minecraft.client.renderer.entity.RenderManager

-     public class RenderManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map` | `entityRenderMap` A map of entity classes and the associated renderer.
    `static boolean` | `field_85095_o`
    `EntityLivingBase` | `field_96451_i`
    `static RenderManager` | `instance` The static instance of RenderManager.
    `ItemRenderer` | `itemRenderer`
    `EntityLivingBase` | `livingPlayer` Rendermanager's variable for the player
    `GameSettings` | `options` Reference to the GameSettings object.
    `float` | `playerViewX`
    `float` | `playerViewY`
    `TextureManager` | `renderEngine`
    `static double` | `renderPosX`
    `static double` | `renderPosY`
    `static double` | `renderPosZ`
    `double` | `viewerPosX`
    `double` | `viewerPosY`
    `double` | `viewerPosZ`
    `World` | `worldObj` Reference to the World object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cacheActiveRenderInfo(World par1World, TextureManager par2TextureManager, FontRenderer par3FontRenderer, EntityLivingBase par4EntityLivingBase, EntityLivingBase par5EntityLivingBase, GameSettings par6GameSettings, float par7)` Caches the current frame's active render info, including the current World, RenderEngine, GameSettings and FontRenderer settings, as well as interpolated player position, pitch and yaw.
    `double` | `getDistanceToCamera(double par1, double par3, double par5)`
    `Render` | `getEntityClassRenderObject(Class par1Class)`
    `Render` | `getEntityRenderObject(Entity par1Entity)`
    `FontRenderer` | `getFontRenderer()` Returns the font renderer
    `void` | `renderEntity(Entity par1Entity, float par2)` Will render the specified entity at the specified partial tick time.
    `void` | `renderEntityWithPosYaw(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Renders the specified entity with the passed in position, yaw, and partialTickTime.
    `void` | `set(World par1World)` World sets this RenderManager's worldObj to the world provided
    `void` | `updateIcons(IconRegister par1IconRegister)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entityRenderMap

          public Map entityRenderMap

      A map of entity classes and the associated renderer.

    - #### instance

          public static RenderManager instance

      The static instance of RenderManager.

    - #### renderPosX

          public static double renderPosX

    - #### renderPosY

          public static double renderPosY

    - #### renderPosZ

          public static double renderPosZ

    - #### renderEngine

          public TextureManager renderEngine

    - #### itemRenderer

          public ItemRenderer itemRenderer

    - #### worldObj

          public World worldObj

      Reference to the World object.

    - #### livingPlayer

          public EntityLivingBase livingPlayer

      Rendermanager's variable for the player

    - #### field_96451_i

          public EntityLivingBase field_96451_i

    - #### playerViewY

          public float playerViewY

    - #### playerViewX

          public float playerViewX

    - #### options

          public GameSettings options

      Reference to the GameSettings object.

    - #### viewerPosX

          public double viewerPosX

    - #### viewerPosY

          public double viewerPosY

    - #### viewerPosZ

          public double viewerPosZ

    - #### field_85095_o

          public static boolean field_85095_o

  - ### Method Detail

    - #### getEntityClassRenderObject

          public Render getEntityClassRenderObject(Class par1Class)

    - #### getEntityRenderObject

          public Render getEntityRenderObject(Entity par1Entity)

    - #### cacheActiveRenderInfo

          public void cacheActiveRenderInfo(World par1World,
                                   TextureManager par2TextureManager,
                                   FontRenderer par3FontRenderer,
                                   EntityLivingBase par4EntityLivingBase,
                                   EntityLivingBase par5EntityLivingBase,
                                   GameSettings par6GameSettings,
                                   float par7)

      Caches the current frame's active render info, including the current World, RenderEngine, GameSettings and FontRenderer settings, as well as interpolated player position, pitch and yaw.

    - #### renderEntity

          public void renderEntity(Entity par1Entity,
                          float par2)

      Will render the specified entity at the specified partial tick time. Args: entity, partialTickTime

    - #### renderEntityWithPosYaw

          public void renderEntityWithPosYaw(Entity par1Entity,
                                    double par2,
                                    double par4,
                                    double par6,
                                    float par8,
                                    float par9)

      Renders the specified entity with the passed in position, yaw, and partialTickTime. Args: entity, x, y, z, yaw, partialTickTime

    - #### set

          public void set(World par1World)

      World sets this RenderManager's worldObj to the world provided

    - #### getDistanceToCamera

          public double getDistanceToCamera(double par1,
                                   double par3,
                                   double par5)

    - #### getFontRenderer

          public FontRenderer getFontRenderer()

      Returns the font renderer

    - #### updateIcons

          public void updateIcons(IconRegister par1IconRegister)